using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FingersDance.Control.TimeLine;

namespace FingersDance.Actions
{
    public class ActionStartOrEndAnnotation : FingersDance.Actions.ActionBase
    {
        
        private String _Text = "";
        private UserControlTimeLine myTimeline;

        public ActionStartOrEndAnnotation()
        {
            
        }

        public ActionStartOrEndAnnotation(String text)
        {
            _Text = text;
        }

        public ActionStartOrEndAnnotation(Object[] param)
        {
            myTimeline = (UserControlTimeLine)param[0];
            _Text = (String)param[1];
        }

        public void Execute()
        {
            if (myTimeline != null)
                myTimeline.startOrEndAnnotation(_Text);
        }
    }
}

